=== debian/changelog ===
ros-humble-image-transport (3.1.7-1jammy) jammy; urgency=high

  * Fix downstream regressions due to subscribe overloads (#284 <https://github.com/ros-perception/image_common/issues/284>)
  * Contributors: Aditya Pande

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 13 Aug 2023 22:00:00 -0000

ros-humble-image-transport (3.1.6-1jammy) jammy; urgency=high

  * Expose callback groups - backport to humble (#277 <https://github.com/ros-perception/image_common/issues/277>)
  * Contributors: Aditya Pande

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 26 Jul 2023 22:00:00 -0000

ros-humble-image-transport (3.1.5-1jammy) jammy; urgency=high

  * Add alias library targets for all libraries (#260 <https://github.com/ros-perception/image_common/issues/260>)
  * Contributors: Geoffrey Biggs

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 15 Nov 2022 23:00:00 -0000

ros-humble-image-transport (3.1.4-1jammy) jammy; urgency=high

  * Image transport publisher crash fixes (#235 <https://github.com/ros-perception/image_common/issues/235>)
  * Contributors: RoboTech Vision

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 24 Mar 2022 23:00:00 -0000

ros-humble-image-transport (3.1.3-1jammy) jammy; urgency=high

  * Simple IT plugins shutdown (#225 <https://github.com/ros-perception/image_common/issues/225>)
  * Remove PLUGINLIB__DISABLE_BOOST_FUNCTIONS definition. (#226 <https://github.com/ros-perception/image_common/issues/226>)
  * Contributors: Chris Lalancette, RoboTech Vision

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 28 Feb 2022 23:00:00 -0000

ros-humble-image-transport (3.1.2-1jammy) jammy; urgency=high

  * Fix include order for cpplint (#221 <https://github.com/ros-perception/image_common/issues/221>)
    Relates to https://github.com/ament/ament_lint/pull/324
  * Export a modern CMake target instead of variables and install includes to include/${PROJECT_NAME} (#218 <https://github.com/ros-perception/image_common/issues/218>)
  * Contributors: Jacob Perron, Shane Loretz

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 13 Jan 2022 23:00:00 -0000

ros-humble-image-transport (3.1.0-1jammy) jammy; urgency=high

  * Fix SimpleSubscriberPlugin (#195 <https://github.com/ros-perception/image_common/issues/195>)
  * Contributors: Ivan Santiago Paunovic

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 28 Jun 2021 22:00:00 -0000

ros-humble-image-transport (3.0.0-1jammy) jammy; urgency=high

  * Make sure to mark overridden methods as 'override'. (#192 <https://github.com/ros-perception/image_common/issues/192>)
  * Expose subscription options (#186 <https://github.com/ros-perception/image_common/issues/186>)
  * fix mistyping 'cammera_publisher.hpp -> camera_publisher.hpp' (#177 <https://github.com/ros-perception/image_common/issues/177>)
  * Update maintainers (#173 <https://github.com/ros-perception/image_common/issues/173>)
  * make CameraPublisher::getNumSubscribers() work (#163 <https://github.com/ros-perception/image_common/issues/163>)
  * Contributors: Alejandro Hernández Cordero, Audrow Nash, Chris Lalancette, Hye-Jong KIM, Michael Ferguson

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 25 May 2021 22:00:00 -0000

ros-humble-image-transport (2.3.0-1jammy) jammy; urgency=high

  * Fix formatting and include paths for linters (#157 <https://github.com/ros-perception/image_common/issues/157>)
  * Fix QoS initialization from RMW QoS profile (#158 <https://github.com/ros-perception/image_common/issues/158>)
  * Contributors: Jacob Perron, Martin Idel

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 26 May 2020 22:00:00 -0000

ros-humble-image-transport (2.2.1-1jammy) jammy; urgency=high

  * add missing set header (#140 <https://github.com/ros-perception/image_common/issues/140>)
  * Contributors: Mikael Arguedas

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 22 Oct 2019 22:00:00 -0000

ros-humble-image-transport (2.2.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 26 Sep 2019 22:00:00 -0000

ros-humble-image-transport (2.1.1-1jammy) jammy; urgency=high

  * Update to use new count APIs (#128 <https://github.com/ros-perception/image_common/issues/128>)
  * use latest ros2 API (#127 <https://github.com/ros-perception/image_common/issues/127>)
  * Contributors: Karsten Knese, Michael Carroll

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 29 May 2019 22:00:00 -0000

ros-humble-image-transport (2.1.0-1jammy) jammy; urgency=high

  * Update ROS2 branch to account for new NodeOptions interface (#120 <https://github.com/ros-perception/image_common/issues/120>)
  * Contributors: Carl Delsey

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 08 May 2019 22:00:00 -0000

ros-humble-image-transport (2.0.0-1jammy) jammy; urgency=high

  * camera_info_manager ROS2 port (#94 <https://github.com/ros-perception/image_common/issues/94>)
  * Pointer api updates (#104 <https://github.com/ros-perception/image_common/issues/104>)
  * Fix rcutils API change by just removing it. (#103 <https://github.com/ros-perception/image_common/issues/103>)
  * [ROS2] corrections to remapping for raw images (#97 <https://github.com/ros-perception/image_common/issues/97>)
  * Make ROS2 ImageTransport conform to old api (#88 <https://github.com/ros-perception/image_common/issues/88>)
  * Image Transport ROS2 Port (#84 <https://github.com/ros-perception/image_common/issues/84>)
  * Contributors: Michael Carroll

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 04 Dec 2018 23:00:00 -0000

ros-humble-image-transport (1.11.13-1jammy) jammy; urgency=high

  * Disable image publisher plugins by name (#60 <https://github.com/ros-perception/image_common/issues/60>)
    * Disable publisher plugins by name

