## ros-humble-image-transport 3.1.9

=== debian/changelog ===
ros-humble-image-transport (3.1.9-1bookworm) bookworm; urgency=high

  * backport whitelist feature to humble (#302 <https://github.com/ros-perception/image_common/issues/302>)
  * Contributors: Kenji Brameld

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 25 Mar 2024 16:00:00 -0000

ros-humble-image-transport (3.1.8-1bookworm) bookworm; urgency=high

  * implement CameraSubscriber::getNumPublishers (#297 <https://github.com/ros-perception/image_common/issues/297>) (#298 <https://github.com/ros-perception/image_common/issues/298>)
  * Add missing definition for CameraPublisher::publish overload (#278 <https://github.com/ros-perception/image_common/issues/278>) (#294 <https://github.com/ros-perception/image_common/issues/294>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 23 Jan 2024 16:00:00 -0000

ros-humble-image-transport (3.1.7-1bookworm) bookworm; urgency=high

  * Fix downstream regressions due to subscribe overloads (#284 <https://github.com/ros-perception/image_common/issues/284>)
  * Contributors: Aditya Pande

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 13 Aug 2023 16:00:00 -0000

ros-humble-image-transport (3.1.6-1bookworm) bookworm; urgency=high

  * Expose callback groups - backport to humble (#277 <https://github.com/ros-perception/image_common/issues/277>)
  * Contributors: Aditya Pande

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 26 Jul 2023 16:00:00 -0000

ros-humble-image-transport (3.1.5-1bookworm) bookworm; urgency=high

  * Add alias library targets for all libraries (#260 <https://github.com/ros-perception/image_common/issues/260>)
  * Contributors: Geoffrey Biggs

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 15 Nov 2022 16:00:00 -0000

ros-humble-image-transport (3.1.4-1bookworm) bookworm; urgency=high

  * Image transport publisher crash fixes (#235 <https://github.com/ros-perception/image_common/issues/235>)
  * Contributors: RoboTech Vision

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 24 Mar 2022 16:00:00 -0000

ros-humble-image-transport (3.1.3-1bookworm) bookworm; urgency=high

  * Simple IT plugins shutdown (#225 <https://github.com/ros-perception/image_common/issues/225>)
  * Remove PLUGINLIB__DISABLE_BOOST_FUNCTIONS definition. (#226 <https://github.com/ros-perception/image_common/issues/226>)
  * Contributors: Chris Lalancette, RoboTech Vision

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-humble-image-transport (3.1.2-1bookworm) bookworm; urgency=high

  * Fix include order for cpplint (#221 <https://github.com/ros-perception/image_common/issues/221>)
    Relates to https://github.com/ament/ament_lint/pull/324
  * Export a modern CMake target instead of variables and install includes to include/${PROJECT_NAME} (#218 <https://github.com/ros-perception/image_common/issues/218>)
  * Contributors: Jacob Perron, Shane Loretz

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-humble-image-transport (3.1.0-1bookworm) bookworm; urgency=high

  * Fix SimpleSubscriberPlugin (#195 <https://github.com/ros-perception/image_common/issues/195>)
  * Contributors: Ivan Santiago Paunovic

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 28 Jun 2021 16:00:00 -0000

ros-humble-image-transport (3.0.0-1bookworm) bookworm; urgency=high

  * Make sure to mark overridden methods as 'override'. (#192 <https://github.com/ros-perception/image_common/issues/192>)
  * Expose subscription options (#186 <https://github.com/ros-perception/image_common/issues/186>)
  * fix mistyping 'cammera_publisher.hpp -> camera_publisher.hpp' (#177 <https://github.com/ros-perception/image_common/issues/177>)
  * Update maintainers (#173 <https://github.com/ros-perception/image_common/issues/173>)
  * make CameraPublisher::getNumSubscribers() work (#163 <https://github.com/ros-perception/image_common/issues/163>)
  * Contributors: Alejandro Hernández Cordero, Audrow Nash, Chris Lalancette, Hye-Jong KIM, Michael Ferguson

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 25 May 2021 16:00:00 -0000

ros-humble-image-transport (2.3.0-1bookworm) bookworm; urgency=high

  * Fix formatting and include paths for linters (#157 <https://github.com/ros-perception/image_common/issues/157>)
  * Fix QoS initialization from RMW QoS profile (#158 <https://github.com/ros-perception/image_common/issues/158>)
  * Contributors: Jacob Perron, Martin Idel

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 26 May 2020 16:00:00 -0000

ros-humble-image-transport (2.2.1-1bookworm) bookworm; urgency=high

  * add missing set header (#140 <https://github.com/ros-perception/image_common/issues/140>)
  * Contributors: Mikael Arguedas

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 22 Oct 2019 16:00:00 -0000

ros-humble-image-transport (2.2.0-1bookworm) bookworm; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 26 Sep 2019 16:00:00 -0000

ros-humble-image-transport (2.1.1-1bookworm) bookworm; urgency=high

  * Update to use new count APIs (#128 <https://github.com/ros-perception/image_common/issues/128>)
  * use latest ros2 API (#127 <https://github.com/ros-perception/image_common/issues/127>)
  * Contributors: Karsten Knese, Michael Carroll

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 29 May 2019 16:00:00 -0000

ros-humble-image-transport (2.1.0-1bookworm) bookworm; urgency=high

  * Update ROS2 branch to account for new NodeOptions interface (#120 <https://github.com/ros-perception/image_common/issues/120>)
  * Contributors: Carl Delsey

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 08 May 2019 16:00:00 -0000

ros-humble-image-transport (2.0.0-1bookworm) bookworm; urgency=high


